<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>Update User</title>

     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
   
</head>
<body>
     <div class="container jumbotron">
          <div class="text-center mb-4">
               <!--row 1-->
               <h3>Chi tiết User</h3>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 2.1-->
                    <label>First Name</label>
               </div>
               <div class="col-sm-8">
                    <!--col 2.2-->
                    <input class="form-control" placeholder="Nhập Firstname..." id="inp-firstname" type="text">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 3.1-->
                    <label>Last Name</label>
               </div>
               <div class="col-sm-8">
                    <!--col 3.2-->
                    <input class="form-control" placeholder="Nhập Lastname..." id="inp-lastname" type="text">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 4.1-->
                    <label>Subject</label>
               </div>
               <div class="col-sm-8">
                    <!--col 4.2-->
                    <input class="form-control" placeholder="Nhập Subject..." id="inp-subject" type="text">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 5.1-->
                    <label>Country</label>
               </div>
               <div class="col-sm-8">
                    <!--col 5.2-->
                   <select class="form-control" id="seclect-country" name="Customertype">
                         <option value="VN">Việt Nam</option>
                         <option value="USA">USA</option>
                         <option value="AUS  ">Australia</option>
                         <option value="CAN">Canada</option>
                   </select>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 6.1-->
                    <label>Customer Type</label>
               </div>
               <div class="col-sm-8">
                    <!--col 6.2-->
                    <select class="form-control" id="select-customertype" name="Customertype"> 
                         <option value="Standard">Standard</option>
                         <option value="Gold">Gold</option>
                         <option value="Premium">Premium</option>
                    </select>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 7.1-->
                    <label>Register Status</label>
               </div>
               <div class="col-sm-8">
                    <!--col 7.2-->
                    <select class="form-control" id="select-register-status" name="registerStatus"> 
                         <option value="New">New</option>
                         <option value="Accepted">Accepted</option>
                         <option value="Denied">Denied</option>
                    </select>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-4">
                    <!--col 8.1-->
               </div>
               <div class="col-sm-8">
                    <!--col 8.2-->
                    <button type="button" class="btn btn-success w-25" id="btn-update-user">Update User</button>
                    <button type="button" class="btn btn-success w-25" id="btn-update-user">Hủy Bỏ</button>
               </div>
          </div>
     </div>
</body>

<script>
          "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
     $(document).ready(function(){
          onPageLoading();
     })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm xử lý việc tải trang 
     function onPageLoading(){
          "use strict"
          //thu thập dữ liệu 
          var vUrlString = window.location.href;
          var vUrl = new URL(vUrlString);

          //lấy parameter
          var vId = vUrl.searchParams.get("id");
          console.log(vId);

          callAPIGetDataUserById(vId);
     }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  //hàm gọi api
  function callAPIGetDataUserById(paramUserId){
     $.ajax({
          url: "http://203.171.20.210:8080/crud-api/users/" + paramUserId,
          type: "GET", 
          dataType: "json",
          success: function(DataUserObj){
               console.log(DataUserObj);
               //gọi hàm hiển thị thông tin lên form
               showDataUserToForm(DataUserObj);
          }, 
          error: function(ajaxContext){
               alert(ajaxContext.responseText);
          },
     });
  }

  //hàm xử lý load dữ liệu lên form
  function showDataUserToForm(param){
     "use strict"
     $("#inp-firstname").val(param.firstname);
     $("#inp-lastname").val(param.lastname);
     $("#select-country").val(param.country);
     $("#inp-subject").val(param.subject);
     $("#select-customertype").val(param.customerType);
     $("#select-register-status").val(param.registerStatus);
  }
  debugger;
</script>
</html>